# GLM: glm::gtx::spline Namespace Reference

# glm::gtx::spline Namespace Reference

GLM_GTX_spline extension: Spline functions. More...

## Functions

template<typename genType >
genType | catmullRom (const genType &v1, const genType &v2, const genType &v3, const genType &v4, const GLMvalType &s)
| Return a point from a catmull rom curve.
template<typename genType >
genType | cubic (const genType &v1, const genType &v2, const genType &v3, const genType &v4, const GLMvalType &s)
| Return a point from a cubic curve.
template<typename genType >
genType | hermite (const genType &v1, const genType &t1, const genType &v2, const genType &t2, const GLMvalType &s)
| Return a point from a hermite curve.

## Detailed Description

GLM_GTX_spline extension: Spline functions.

## Function Documentation

genType glm::gtx::spline::catmullRom | ( | const genType & | v1,
|  | const genType & | v2,
|  | const genType & | v3,
|  | const genType & | v4,
|  | const GLMvalType & | s |
| ) |  |  |

Return a point from a catmull rom curve.

From GLM_GTX_spline extension.

genType glm::gtx::spline::cubic | ( | const genType & | v1,
|  | const genType & | v2,
|  | const genType & | v3,
|  | const genType & | v4,
|  | const GLMvalType & | s |
| ) |  |  |

Return a point from a cubic curve.

From GLM_GTX_spline extension.

genType glm::gtx::spline::hermite | ( | const genType & | v1,
|  | const genType & | t1,
|  | const genType & | v2,
|  | const genType & | t2,
|  | const GLMvalType & | s |
| ) |  |  |

Return a point from a hermite curve.

From GLM_GTX_spline extension.